Admin A P I
Get settings
Returns current general, mail, advanced, and metadata settings.
GET
/api/admin/settingsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/settings"{ "general": { "app:name": "Pterodactyl", "pterodactyl:auth:2fa_required": 0, "app:locale": "en" }, "mail": { "mail:default": "smtp", "mail:mailers:smtp:host": "mail.example.com", "mail:mailers:smtp:port": 587, "mail:mailers:smtp:encryption": "tls", "mail:mailers:smtp:username": "[email protected]", "mail:mailers:smtp:password": "", "mail:from:address": "[email protected]", "mail:from:name": "Pterodactyl" }, "advanced": { "recaptcha:enabled": false, "recaptcha:secret_key": "secret", "recaptcha:website_key": "website", "pterodactyl:guzzle:timeout": 15, "pterodactyl:guzzle:connect_timeout": 5, "pterodactyl:client_features:allocations:enabled": false, "pterodactyl:client_features:allocations:range_start": null, "pterodactyl:client_features:allocations:range_end": null }, "meta": { "load_environment_only": false, "show_recaptcha_warning": false }}